org.apache.storm.drpc

## Class PrepareRequest

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseBasicBolt
    - - org.apache.storm.drpc.PrepareRequest

- All Implemented Interfaces:
    Serializable, IBasicBolt, IComponent

      public class PrepareRequest
      extends BaseBasicBolt

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARGS_STREAM`
    `static String` | `ID_STREAM`
    `static String` | `RETURN_STREAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `void` | `execute(Tuple tuple, BasicOutputCollector collector)` Process the input tuple and optionally emit new tuples based on the input tuple.
    `void` | `prepare(Map<String,Object> map, TopologyContext context)`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseBasicBolt

      `cleanup`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Field Detail

    - #### ARGS_STREAM

          public static final String ARGS_STREAM

      See Also:
        Constant Field Values

    - #### RETURN_STREAM

          public static final String RETURN_STREAM

      See Also:
        Constant Field Values

    - #### ID_STREAM

          public static final String ID_STREAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PrepareRequest

          public PrepareRequest()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> map,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IBasicBolt`
      Overrides:
        `prepare` in class `BaseBasicBolt`

    - #### execute

          public void execute(Tuple tuple,
                              BasicOutputCollector collector)

      Description copied from interface: `IBasicBolt`

      Process the input tuple and optionally emit new tuples based on the input tuple.

      All acking is managed for you. Throw a FailedException if you want to fail the tuple.

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

Copyright © 2021 The Apache Software Foundation. All rights reserved.